Skip to main content
`Ctrl`+`K`

# numpy.recarray.size

attribute

recarray.size

  Number of elements in the array.

  Equal to `np.prod(a.shape)`, i.e., the product of the array’s dimensions.

  Notes

  a.size returns a standard arbitrary precision Python integer. This may not be the case with other methods of obtaining the same value (like the suggested `np.prod(a.shape)`, which returns an instance of `np.int_`), and may be relevant if the value is used further in calculations that may overflow a fixed size integer type.

  Examples

      >>> import numpy as np
      >>> x = np.zeros((3, 5, 2), dtype=np.complex128)
      >>> x.size
      30
      >>> np.prod(x.shape)
      30